/**
 * @author Andy Chmilenko
 *
 */
public class StackEmptyException extends RuntimeException {

	/**
	 * 
	 * 	 */
	public StackEmptyException() {
		super("Tried to pop a stack with no elements.");
	}
	
	/**
	 * @param capacity Total capacity of the stack
	 */
	public StackEmptyException(int capacity) {
		super("Tried to pop a stack with no elements. [Stack capacity: " + capacity + "]");
	}


}