/**
 * @author Andy Chmilenko
 *
 */

public class Test{
	
	/**
	 * @param args Does nothing
	 */
	public static void main(String[] args){	
		Stack<Integer> intStack = new Stack<Integer>(5);
		
		assert intStack.isEmpty();
		System.out.println("isEmpty() assert passed");
		
		try{
			int i = 1;
			while (true){
				System.out.println("Pushing: " + i);
				intStack.push(i++);
			}
		}
		catch(StackFullException e){
			System.out.println(e.toString());
		}
		
		assert intStack.isFull();
		System.out.println("isFull() assert passed");
		
		try{
			while(true){
				System.out.println("Popping: " + intStack.pop());
			}
		}
		catch(StackEmptyException e){
			System.out.println(e.toString());
		}
		
		assert intStack.isEmpty();
		System.out.println("isEmpty() assert passed");
	}
	
	//One main is enough.
}